<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<p><em>Science and Engineering Ethics(2001) 7, 231-238</em></p>
	<hr>
	<title>Software Engineering Code of Ethics and Professional Practices</title>
	<h1>Software Engineering Code of Ethics and Professional Practices</h1>
	<h2>IEEE-CS/ACM Joint Task on Software Engineering Ethics and Professional <br>
	Practices</h2>
	<hr>
</head>
<body>
	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>

	<p><strong>PREAMBLE</strong></p>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that<br> 
	are included in the full version give examples and details of how these aspiration change the way we <br> 
	act as software engineering professionals. Without these aspirations, the details can become legalistic <br>
	and tedious; without the details, the aspirations can become high-sounding but empty; together, the <br>
	aspirations and the details from a cohesive code.</p>

	<p>Software engineers shall commit themselves to making the analysis, specification, design, <br>
	development, testing, and maintenance of software a beneficial and respected profession. In <br>
	accordance with their commitment to the health, saftey, and welface of the public, software engineers <br>
	shall adhere to teh following eight Principles</p>

	<p><strong>PRINCIPLES</strong></p>

	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
		<li><em>Client.</em> Software engineers shall act in a manner that is in the best interest of their <br>
		client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the <br>
		highes professional standards possible.</li>
		<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><em>Management.</em> Software enginneing managers and leaders shall subscribe to and promote an <br>
		ethical approach to management of software development and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession <br>
		consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair and supportive of their colleagues.</li>
		<li><em>Self.</em> Software enginners shall participate in lifelong learning regarding the practice of their <br>
		profession and shall promote an ethical approach to the practice of the profession.</li>
	</ol>

</body>
</html>